当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 請問如何升級Subtitle Editor?
帖子发表于 : 2010-06-10 1:04 
头像

注册: 2008-10-20 21:24
帖子: 371
送出感谢: 3
接收感谢: 1
Subtitle Editor已經更新到0.36.2,我的還是0.30.0的英文版,下載了0.36.2tar.gz,解壓,開始安裝,
代码:
~/subtitleeditor-0.36.2$./autogen.sh








checking for GTKMM... configure: error: Package requirements (gtkmm-2.4 >= 2.14 glibmm-2.4 >= 2.16.3) were not met:

No package 'gtkmm-2.4' found
No package 'glibmm-2.4' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GTKMM_CFLAGS
and GTKMM_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

代码:
~/subtitleeditor-0.36.2$ make
make: *** No targets specified and no makefile found.  Stop.

代码:
~/subtitleeditor-0.36.2$ sudo make install
[sudo] password for wasp:
make: *** No rule to make target `install'.  Stop.

然後就杯具了,安裝失敗,之前的0.30.0就是這樣安裝成功的,是不是差gtkmm-2.4和glibmm-2.4這兩個文件啊?


_________________
一個憂國憂民的摩托車搭客仔


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 請問如何升級Subtitle Editor?
帖子发表于 : 2010-06-10 9:34 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 274
gtkmm。。那不是差2个文件。是差2套开发库。
安装 libgtkmm-2.4-dev 这样的包。


_________________
● 鸣学


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 請問如何升級Subtitle Editor?
帖子发表于 : 2010-06-10 19:45 
头像

注册: 2008-10-20 21:24
帖子: 371
送出感谢: 3
接收感谢: 1
我日啊,裝了一堆的信賴最後卻卡在這裏了,應該是說這個gstreamermm的版本不夠新,但是新立得裏就只有0.10.2,暈倒! :em20
代码:
checking for GSTREAMERMM... configure: error: Package requirements (gstreamermm-0.10 >= 0.10.4) were not met:

Requested 'gstreamermm-0.10 >= 0.10.4' but version of gstreamermm is 0.10.2


_________________
一個憂國憂民的摩托車搭客仔


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 請問如何升級Subtitle Editor?
帖子发表于 : 2010-06-10 19:54 
头像

注册: 2008-10-20 21:24
帖子: 371
送出感谢: 3
接收感谢: 1
算了,我不升級總可以吧,請教怎麼設置成中文菜單?


_________________
一個憂國憂民的摩托車搭客仔


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 請問如何升級Subtitle Editor?
帖子发表于 : 2010-06-10 20:01 

注册: 2008-01-09 22:41
帖子: 18311
送出感谢: 0 次
接收感谢: 6
好像没有中文

英文挺好。比蹩脚翻译好


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译